/*
Author: Studio Boskant
Author URI: https://studioboskant.com
Template: twentytwentyfivechild
*/
:root {
}
/* while developping */
html.lenis.lenis-smooth {
  margin-top: 0 !important;
}
#wpadminbar {
  display: none !important;
}

/* texts */
html,
body {
  -webkit-font-smoothing: antialiased;
}
body * {
  outline: none !important;
}

/* MENU FIXED LEFT */
header {
  position: fixed;
  top: 0;
  left: 0;
  transform: translate(2rem, 2rem);
  height: calc(100dvh - 4rem);
  width: 15rem;
}
.menu__fixed {
  display: flex;
  flex-direction: column;
  height: 100%;
  align-items: stretch;
  justify-content: space-between;
}
main {
  margin-left: auto;
}
header a.wp-block-button__link.wp-element-button {
  padding: 0;
}

/* GLOBAL LAYOUT */
.is-layout-constrained
  > :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
  max-width: calc(100% - 15rem) !important;
  margin-right: 0 !important;
}
body * {
  margin-block-start: 0;
}
.nomargin {
  margin: 0 !important;
}
/* Recos Lenis */
html,
body {
  height: auto;
}
html.lenis {
  scroll-behavior: auto;
} /* évite conflit avec CSS smooth-scroll */

/* HERO */

/* Maintenance */
body.wp-singular.page-template.page-template-templates.page-template-wpmm-page-template.page-template-templateswpmm-page-template-php.page {
  height: 100vh;
  max-height: 100vh !important;
  overflow: hidden;
}
body.wp-singular.page-template.page-template-templates.page-template-wpmm-page-template
  .wp-block-group.alignfull {
  padding: 0 !important;
}
.maintenance_text {
  padding-top: 2rem;
}
figure.wp-block-image.size-large.pin_maintenance {
  position: fixed;
  top: unset;
  bottom: 2rem;
  left: 2rem;
  padding-top: 50%;
  max-width: 30dvw !important;
}

/* --- All mobiles tablets --- */
@media only screen and (max-width: 999px),
  only screen and (min-device-width: 600px) and (max-device-width: 1050px) and (orientation: portrait),
  only screen and (min-device-width: 600px) and (max-device-width: 1366px) and (orientation: landscape) {
  .all_small_hide {
    display: none !important;
  }
  /* HERO */
  /* maintenance */
}
